Does Zend Guard 6.0 support php 5.5 ?

General discussion on Zend Guard / Optimizer
User avatar
zvika
Zend Global Support
Posts: 997
Joined: Sun Dec 14, 2008 9:48 am
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by zvika » Thu Jul 18, 2013 10:59 pm

I think you are mixing security with encrypted source code. We take security very seriously, especially everything related to remote exploits.

Is PHP 5.3 and 5.4 less secured than 5.5?
Are you aware that Zend backports security fixes for Zend Server older PHP versions to keep customers production sites running securely without rushing them into upgrading PHP before project / company schedules?
Do you feel that you can break Zend Guard encryption because it is not encoding and running under latest PHP 5.5 yet?

And please don't quote me backwards, I brought Linux distro example to the table among hosting and cloud to show that supporting new PHP as it comes out in production (and in Zend, from development trough encoding to production on supported OSs) is not really happening.
AFAIK we do not test (hence support) Arch Linux - good distro though.

I will pass your comments about beta testing to the product team. We ran preview releases and beta testing before and I don't believe this is the issue here.

Thanks for the feedback - good luck with any choice you make, we are here.
Zvika Dror
Zend Support Team

diemuzi
Posts: 132
Joined: Mon Oct 04, 2010 3:12 pm
Location: Pensacola, Florida
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by diemuzi » Thu Jul 18, 2013 11:13 pm

Certainly won't catch me saying PHP isn't secure =)

But many other libraries such as OpenSSL and the like can become insecure over time of course. Mainly our problem is that we try to stay as up-to-date as possible. Just for example when it comes to using PHP we really enjoy a lot of the new features the newer versions tend to offer. Many times, it reduces the code we need to write which is always a nice thing. But then we start using such new features and want to make a new software release of our own and make it encoded this is where the problem lies. It takes 1-2 years (using the latest example of how long it took Zend to release a Guard version for 5.4) for a new update to be released. I understand that by using newer versions and newer features is our problem and not yours. We'd just like to see the company of our choice (Zend) make a stronger effort to produce software quicker than history has shown us before.

An Alpha/Beta test program would be great to see for Zend Guard! It at least gives hope that something is in the works =)

Anyways, thanks!
MSF RiderCoach at http://bikertraining.net

kris8899
Posts: 2
Joined: Thu Apr 04, 2013 6:40 am

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by kris8899 » Wed Jul 24, 2013 10:23 am

At the moment no! But maybe in a years time it should

pk_fr_pk
Posts: 21
Joined: Wed Oct 20, 2010 4:07 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by pk_fr_pk » Thu Oct 17, 2013 11:56 am

Hi everybody,

Ubuntu 13.10 (Saucy Salamander) is released today...
... and is bundled with php 5.5 !!!!

It would be great to have a ZendGuard / Zend Loader release that supports it...

at least a preview release ....

Best regards,

Pascal

arekm
Posts: 6
Joined: Wed Aug 12, 2009 12:56 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by arekm » Thu Apr 03, 2014 11:57 am

PHP 5.4 End of Line is approaching (only 11 months, 1 march 2015 is EOL date [1]) and still no ZendGuardLoader for PHP 5.5 :-/

1. https://wiki.php.net/rfc/releaseprocess

shinkan
Posts: 2
Joined: Thu Apr 21, 2011 9:26 am

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by shinkan » Fri Apr 11, 2014 1:21 am

Because of this "lazy" release cycle my company can't go forward in evolution, and bring new features to our clients :-\ ... And we have Ubuntu servers too.

pk_fr_pk
Posts: 21
Joined: Wed Oct 20, 2010 4:07 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by pk_fr_pk » Fri Apr 18, 2014 11:26 am

Ubuntu 14.04 is out since yesterday with php 5.5.9 ...

is there now an ETA? or an ETA on ETA?

scoon2011
Posts: 9
Joined: Mon Jul 18, 2011 4:12 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by scoon2011 » Wed Apr 23, 2014 6:26 am

I am curious as well about Zend's plans to get this working for Ubuntu 14.04.

defe2727
Posts: 1
Joined: Tue Apr 29, 2014 2:50 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by defe2727 » Tue Apr 29, 2014 2:52 pm

Any updates on this? We are heavily thinking about to use IonCube instead which has full PHP 5.5 support already. I have to say it's quite frustrating to see from the people who are developing PHP that they did not released Zend Guard support for PHP5.5. What's more we don't have any ETA on this topic as well :(

kwan380
Posts: 1
Joined: Mon Jun 09, 2014 5:34 am

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by kwan380 » Mon Jun 09, 2014 5:41 am

Our customer is currently use php 5.5. So We need when could Zend Guard 6.0 support php 5.5?
if it is not possible in near future, we should find another solutions.
please answer me anyone..

Post Reply